name: TXS0108E
# QFN – RGY, TSSOP – PW, UFBGA – ZXY
variations: PW, RGY, ZXY
description: level-shifter, 8-bit
datasheet: https://www.ti.com/lit/gpn/txs0108e
distributors: LCSC C17206

pinout:
  A:
    A1-8: 1,3-9
  B:
   B1-8: 20,18-12
  VCC:
    VCCA: 2
    VCCB: 19
  GND: 11
  OE: 10
  EPAD: 21

pinout@GQN: # BGA
  A:
    A1: B1
    A2: A2
    A3: B2
    A4: A3
    A5: B3
    A6: A4
    A7: B4
    A8: A5
  B:
   B1: C1
   B2: D2
   B3: C2
   B4: D3
   B5: C3
   B6: D4
   B7: C4
   B8: D5
  VCC:
    VCCA: A1
    VCCB: D1
  GND: C5
  OE: B5

properties:
  bidir: A, B
  in: OE
  inverted: OE
  nc: EPAD
  power: VCC
  ground: GND

schematic:
  symbol: ic
  left: A
  right: B
  top: VCCA,VCCB
  bottom: OE,GND

housing@PW: # TSSOP
  suffix: PW
  outline: TI PW-20

housing@RGY: # QFN
  suffix: RGY
  outline: RGY-20

housing@ZXY: # UFBGA
  suffix: ZXY
  pattern: TI ZXY-20
